
/*可 公用 的 验证类*/
/*-------------------------------------------*/


/*只能是英文 onkeydown="onlyEng();" 
------------------------------------------*/
function onlyEng() {
    if (!(event.keyCode >= 65 && event.keyCode <= 90)) {
        event.returnvalue = false;
    }
    else {
        return true;
    }
}

/* 判断用户名是否为： 数字 字母(要验证的值value，span ID,ErrMsg)
------------------------------------------ */
function notchinese(str, spanlb, txtMsg) {
    var reg = /[^A-Za-z0-9]/g
    if (reg.test(str)) {
        if (document.getElementById(spanlb) != null) {/*显示错误信息*/
            document.getElementById(spanlb).innerHTML = txtMsg;
        }
        return (false);
    } else {
        if (document.getElementById(spanlb) != null) {/*清除错误信息*/
            document.getElementById(spanlb).innerText = "";
        }
        return (true);
    }    
}
/*------------------------------------------*/
//验证是否为空（长度 范围）
function IsNull(controlID, min, max) {
    if (document.getElementById(controlID) != null) {/*避免为null*/
        var str = document.getElementById(controlID).value;
        str = str.replace(/(^\s*)|(\s*$)/g, ""); //去掉左右空格
        if (str.length < min || str.length > max) {
            return false;
        }
        else {
            return true;
        }
    }
    return true;
}
/*------------------------------------------*/
//验证长度(必须大于)
function CheckLength(controlID, len) {
    if (document.getElementById(controlID) != null) {
        var str = document.getElementById(controlID).value;
        str = str.replace(/(^\s*)|(\s*$)/g, ""); //去掉左右空格
        if (str.length < len) {
            return false;
        }
        else {
            return true;
        }
    }
    return true;
}
/*-------------------------------------------*/
//验证长度（等于多少）
function CheckEqualsLeng(controlID, len) {
    var str = document.getElementById(controlID).value;
    str = str.replace(/(^\s*)|(\s*$)/g, ""); //去掉左右空格
    if (str.length != len) {
        return false;
    }
    else {
        return true;
    }
}
/*-------------------------------------------*/
//值相等
function CheckEqualsValue(controlID1, controlID2) {
    var str1 = document.getElementById(controlID1).value;
    var str2 = document.getElementById(controlID2).value;

    if (str1 != str2) {
        return false;
    }
    else {
        return true;
    }
}
/*-------------------------------------------*/
//全选：值是 'chkall' 的值一致
function CheckAll1(form) {
    for (var i = 0; i < form.elements.length; i++) {
        var e = form.elements[i];
        if (e.name != 'chkall' && e.type == "checkbox")
            e.checked = document.getElementById("chkall").checked;
    }
}

/*-------------------------------------------*/
//是否邮箱
function isEmail(strEmail) {
    if (strEmail.length > 0) { //为空不检查
        if (strEmail.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1)
            return true;
        else
            return false;
    }
    return true;
}
//<input type=text onblur=isEmail(this.value)>
/*-------------------------------------------*/

//检查一段字符串是否全由数字组成 
function checkNum(str) {
    return str.match(/\D/) == null
}

//<input onkeydown="onlyNum();">
/*-------------------------------------------*/
//验证是否url
function IsUrl(str) {
    return (new RegExp(/^http:\/\/([\w-]+\.)?/).test(str));
}

/*-------------------------------------------*/